<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="wrap_content"
        android:layout_marginStart="10dp"
        android:background="@drawable/shape_white_20"
        android:layout_height="45dp">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_marginStart="8dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="30dp"
            android:layout_height="30dp"/>

        <TextView
            android:id="@+id/tvName"
            android:textSize="14dp"
            android:textColor="#000"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="4dp"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:maxLines="1"
            android:maxWidth="120dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            tools:text="NickNamed"
            app:layout_constraintHorizontal_bias="0"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tvId"
            android:textSize="12dp"
            android:textColor="#868686"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginBottom="4dp"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:maxWidth="120dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            app:layout_constraintHorizontal_bias="0"
            tools:text="ID:dddddddddd"
            android:maxLines="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/ivFollow"
        android:src="@mipmap/follow"
        app:layout_constraintTop_toTopOf="@+id/cl"
        app:layout_constraintStart_toEndOf="@+id/cl"
        android:layout_marginEnd="15dp"
        android:padding="10dp"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/cl"
        android:layout_width="45dp"
        android:layout_height="45dp"/>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvUser"
        app:layout_constraintStart_toEndOf="@+id/ivFollow"
        app:layout_constraintEnd_toStartOf="@+id/ivAudienceList"
        android:layout_marginEnd="5dp"
        app:layout_constraintTop_toTopOf="@+id/cl"
        app:layout_constraintBottom_toBottomOf="@+id/cl"
        android:maxWidth="200dp"
        android:layout_width="0dp"
        android:layout_height="30dp"/>

    <ImageView
        android:id="@+id/ivAudienceList"
        android:layout_marginEnd="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:src="@mipmap/icon_audience_list"
        android:background="@drawable/shape_80000000_20"
        android:visibility="gone"
        android:layout_width="30dp"
        android:layout_height="30dp"/>


    <TextView
        android:id="@+id/tvIncome"
        android:textSize="12dp"
        android:textColor="#fff"
        tools:text="1000"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        android:drawablePadding="4dp"
        android:background="@drawable/shape_80000000_20"
        app:layout_constraintStart_toStartOf="@+id/cl"
        android:layout_marginTop="10dp"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:drawableStart="@mipmap/icon_diamond"
        android:layout_width="wrap_content"
        android:layout_height="24dp"/>

    <TextView
        android:id="@+id/tvHot"
        android:textSize="12dp"
        android:textColor="#fff"
        tools:text="1000"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        android:drawablePadding="4dp"
        android:background="@drawable/shape_80000000_20"
        app:layout_constraintStart_toEndOf="@+id/tvIncome"
        android:layout_marginTop="10dp"
        android:layout_marginStart="10dp"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:drawableStart="@mipmap/hot"
        android:layout_width="wrap_content"
        android:layout_height="24dp"/>
</androidx.constraintlayout.widget.ConstraintLayout>